> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/api-docs/geopard-api-requests-overview/notes-pins/28.-mutation-save-multiple-notes-batch-operation.md).

# 28. Mutation: Save multiple "Notes", Batch operation

This mutation allows you to attach multiple Notes to a specified Field.

{% hint style="success" %}
The maximum amount of Notes to save is 25.
{% endhint %}

{% hint style="success" %}
Add the `uuid` attribute into the input to update the Note.
{% endhint %}

* A Note can be linked to the Field via its unique identifier `fieldUuid,`  to the associated SoilDataset via `soilDatasetUuid`, to the ZonesMap via `vectorAnalysisMapUuid`.
* The coordinate of the Note can be set using the `centroid` attribute, which requires defined `latitude` and `longitude` values.&#x20;
* The type of Note can be specified using the `type` attribute with acceptable values of `PLANNED` or `REAL`.&#x20;
* The description of the Note can be provided using the `comment` attribute. If the description needs to be multiline, the `comment` attribute should contain a string with newline characters `\\n` to separate lines. For example: `"First line. is here\\nSecond line is here.\\nThird line is here."`.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation BatchSaveNotes {
  saveNotes(input:{
    notes: [{
      fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
      centroid: {latitude: 51.177747, longitude:  -113.533613},
      type: PLANNED,
      comment: "Batch save: 1",
      vectorAnalysisMapUuid: "983095c1-8d31-4cc0-9143-502c35df358d"
    }, {
      uuid: "531d4cc4-b464-435c-8bb5-464cc13fcafa",
      fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
      centroid: {latitude: 51.177747, longitude:  -113.533613},
      type: REAL,
      comment: "Batch update: 1",
      vectorAnalysisMapUuid: "983095c1-8d31-4cc0-9143-502c35df358d"
    }, {
      fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
      centroid: {latitude: 51.177747, longitude:  -113.533613},
      type: REAL,
      comment: "Batch save: 2",
      vectorAnalysisMapUuid: "983095c1-8d31-4cc0-9143-502c35df358d"
    }, {
      fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
      centroid: {latitude: 51.177747, longitude:  -113.533613},
      type: REAL,
      comment: "Batch save: 2",
      soilDatasetUuid: "983095c1-8d31-4cc0-9143-502c35df358d"
    }
  ]
  } ) {
    uuid
    fieldUuid
    createdDate
    updatedDate
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/api-docs/geopard-api-requests-overview/notes-pins/28.-mutation-save-multiple-notes-batch-operation.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
